<!DOCTYPE html>
<%@ page language="java" session="true" %>
<%@ include file="/common/taglibs.jsp" %>
<%@ page contentType="text/html; charset=UTF-8" %>

<HTML>



<HEAD>
<meta http-equiv="X-UA-Compatible" content="IE=edge">
<title><fmt:message key="rules.lookupListDeletePopup.title.txt"/></title>

<link rel="stylesheet" href="resources/sas/hc/ui/core/themes/sas_base/fonts.css" type="text/css"/>
<link rel="stylesheet" href="resources/sas/hc/ui/core/themes/sas_corporate/library.css" type="text/css"/>
<link rel="stylesheet" href="resources/sas/hc/ui/commons/themes/sas_corporate/library.css" type="text/css"/>
<link rel="stylesheet" href="resources/sap/m/themes/sas_corporate/library.css" type="text/css"/>
<style type='text/css'>@import 'common/styles/sasStyles.css';</style><link rel='stylesheet' href='common/styles/cf.css' type='text/css'>
<style type='text/css'>@import 'admin/styles/admin.css';</style>
<style type=text/css>@import "common/styles/calendar.css";</style>
<script language='JavaScript' src='common/scripts/jquery.js'></script>
<script language='JavaScript' src='common/scripts/i18n.js'></script>
<script language='JavaScript' src='rules/scripts/lookupLists.js'></script>
<script>
   function closeDialog()
   {
      // window.returnValue = 'cancel'; // No return value when cancel or X window
      window.close();
   }

   function returnRadio()
   {
      var deleteOrInactivate;
      if (document.deleteChoice.deleteRadio[0].checked)
         deleteOrInactivate = 'delete';
      else if (document.deleteChoice.deleteRadio[1].checked)
         deleteOrInactivate = 'deactivate';

      window.returnValue = deleteOrInactivate;
      $('#deleteChoice').prop('action', function (i, action) { return action.replace(/([\?&])(deleteOrInactivate=)[^&#]*/, '$1$2' + deleteOrInactivate); });
      document.deleteChoice.submit();
      window.close();
   }
</script>
</HEAD>

<BODY class="dialogBody sapUiBody sapUiSizeCompact" onload="i18n.init();document.deleteChoice.deleteRadio[1].blur()">
<c:url var="url" value="/r_lookupLists.do">
   <c:param name="method" value="${param.method}" />
    <c:param name="idList" value="${param.idList}" />
   <c:param name="nbrList" value="${param.nbrList}" />
   <c:param name="nameList" value="${param.nameList}" />
   <c:param name="indsList" value="${param.indsList}" />
   <c:param name="contentOrList" value="${param.contentOrList}" />
   <c:param name="deleteOrInactivate" value="${param.deleteOrInactivate}" />
   <c:param name="deleteOrKeepContent" value="${param.deleteOrKeepContent}" />
   <c:param name="__sfmrt" value="${param.__sfmrt}" />
</c:url>
<form name="deleteChoice"
      id="deleteChoice"
      action="${url}"
      onsubmit=""
      target="${param.target}"
      enctype="multipart/form-data"
      method="post">
 <input type="text" style="display:none;">

 <table border ="0" width="100%" class="configurationTable" border="0" cellspacing="0" cellpadding="0" style="margin:0px">
    <tr style="margin:0px;">
      <td colspan="3" style="font-weight:bold;background-color:#287eab;color:white;padding:0px;" align="center"><fmt:message key="rules.lookupListDeletePopup.title.txt"/></td>
    </tr>
    <tr class="configurationTableDataRow"><td colspan="3"> &nbsp;</td></tr>
    <tr class="configurationTableDataRow">
      <td valign="top" nowrap><img src="images/rules/red-query.gif"></td>
      <td valign="bottom"><fmt:message key="rules.lookupListDeletePopup.confirmDeletion.txt"/></td>
      <td>&nbsp;&nbsp;</td>
    </tr>
    <tr class="configurationTableDataRow">
      <td valign="top"></td>
      <td valign="top" nowrap><input type="radio" name="deleteRadio"><fmt:message key="rules.lookupListDeletePopup.confirmDeletion.option.deleteContentFiles.txt"/><br>
                              <input type="radio" name="deleteRadio" checked="checked"><fmt:message key="rules.lookupListDeletePopup.confirmDeletion.option.deactivateAndkeepContentFiles.txt"/></td>
      <td>&nbsp;&nbsp;</td>
    </tr>
    <tr class="configurationTableDataRow"><td colspan="3"> &nbsp;</td></tr>
    <tr class="configurationTableDataRow">
      <td align="center" colspan="3" style="padding-top:4px;" nowrap>
	     <button class="sapMBarChild sapMBtn sapMBtnBase sasMButton" type="button" onclick="returnRadio();">
		   <span class="sapMBtnDefault sapMBtnHoverable sapMBtnInner sapMBtnText sapMFocusable sapMIE">
    		 <span class="sapMBtnContent"><esapi:encodeForHTMLAttribute><fmt:message key="rules.lookupListDeletePopup.button.yes.txt"/></esapi:encodeForHTMLAttribute></span>
    		 <span class="sapMBtnFocusDiv"></span>
  		   </span>
	     </button>
	     <button class="sapMBarChild sapMBtn sapMBtnBase sasMButton" type="button" onclick="closeDialog();">
		   <span class="sapMBtnDefault sapMBtnHoverable sapMBtnInner sapMBtnText sapMFocusable sapMIE">
    		 <span class="sapMBtnContent"><esapi:encodeForHTMLAttribute><fmt:message key="rules.lookupListDeletePopup.button.no.txt"/></esapi:encodeForHTMLAttribute></span>
    		 <span class="sapMBtnFocusDiv"></span>
  		   </span>
	     </button>
      </td>
    </tr>
 </table>

</form>

</BODY>
</HTML>
