
//Update the lookup list registration (only description at the moment)
function updateLookupListDefinition()
{
   var desc = document.getElementById("desc").value.replace(/^\s*|\s*$/g,"");
   if (isLookupListFromForeignBusinessUnit(lookupListId, name, "updated"))
     return;

   var target = lookupListAction + '?method=updateLookupListDefinition' +
        '&name=' + lookupListName +
        '&desc=' + encodeURIComponent(desc) +
        '&inds=' + lookupListInds+
        '&lookupListId=' + lookupListId +
        '&lookupListUpNbr=' + lookupListUpNbr;
   
   if (lookupListType != "RULEONLY") {
	   var expDays = getExpireDays();
	   if (expDays == -1) {
		   return;
	   }
	   target = target + expDays;
   }
   target = target + '&__sfmrt=' + getCookie("__sfmrt");
   
   setBusyDetail();
   //parent.frames[ "detail" ].location.href = target;
   $df.postURL( "detail", target);
}

var popUpWindow = null;

function popUpWindowFinished() {
  if (popUpWindow != null) {
    popUpWindow.close();
    popUpWindow = null;
  }
}

function popUpWindowOpened(url,width,height) {
            var left = window.outerWidth / 2 + window.screenX - width / 2;
            var top = window.outerHeight / 2 + window.screenY - height / 2;
            popUpWindow = window.open(url, "_blank", "height="+height+",width="+width+",dependent=1,resizable=1,scrollbars=0,status=0,top="+top+",left="+left);
            return popUpWindow;
}
//Delete lookup lists selected from list
function deleteLookupLists()
{
// Setup multiple selections
setSelectedLookupLists();
if (selectedLookupListIds.length == 0)
{
      alert($i18n("rules.lookupListActios.js.selectLists.alert.txt"));
      return;
}
var onlyAnalystLists = true;
var selectedLookupListIdsList = selectedLookupListIds.split(',');
for (var i=0; i<selectedLookupListIdsList.length; i++) {
	var id = selectedLookupListIdsList[i];
    if (lookupListFiles[id] != "")
    	onlyAnalystLists = false;
	if (isLookupListFromForeignBusinessUnit(id, id, "deleted"))
     return;
}
var deleteOrInactivate;
var deleteOrKeepContent;
var width = 650;
var height = 190;
var url = lookupListDeActivateAction;
if (contentOrList == 'content')
{
   deleteOrInactivate = 'delete';
   if (onlyAnalystLists = false)
   {
        url=lookupListDeActivateAction+'?method=deleteLookupLists' +
                    '&idList=' + selectedLookupListIds +
                    '&nbrList=' + selectedLookupListUpNbrs +
                    '&nameList=' + selectedLookupListNames +
                    '&indsList=' + selectedLookupListFiles +
                    '&contentOrList=' + contentOrList +
                    '&deleteOrInactivate=' + deleteOrInactivate +
                    '&deleteOrKeepContent=' + deleteOrKeepContent +
                        '&target=detail' +
                    '&__sfmrt=' + getCookie("__sfmrt");
        popUpWindowFinished();
        popUpWindowOpened(url,width,height); 
      if (!deleteOrKeepContent)
	     return;
   }
   else
   {
      deleteOrKeepContent = "delete";
	  if (!confirm($i18n("rules.lookupListActios.js.deleteSelectedFiles.confirm.txt")))
	     return;
   }

}
else
{
    url=lookupListDeActivateAction+'?method=deleteLookupLists' +
        '&idList=' + selectedLookupListIds +
        '&nbrList=' + selectedLookupListUpNbrs +
        '&nameList=' + selectedLookupListNames +
        '&indsList=' + selectedLookupListFiles +
        '&contentOrList=' + contentOrList +
        '&deleteOrInactivate=' + deleteOrInactivate +
        '&deleteOrKeepContent=' + deleteOrKeepContent +
            '&target=detail' +
        '&__sfmrt=' + getCookie("__sfmrt");
    popUpWindowFinished();
    popUpWindowOpened(url,width,height);
   if (!deleteOrInactivate)
      return;
}
setBusyDetail();
var target = lookupListAction + '?method=deleteLookupLists' +
                          '&idList=' + selectedLookupListIds +
                          '&nbrList=' + selectedLookupListUpNbrs +
                          '&nameList=' + selectedLookupListNames +
                          '&indsList=' + selectedLookupListFiles +
                          '&contentOrList=' + contentOrList +
                          '&deleteOrInactivate=' + deleteOrInactivate +
                          '&deleteOrKeepContent=' + deleteOrKeepContent +
             			  '&__sfmrt=' + getCookie("__sfmrt");
//parent.frames[ "detail" ].location.href = target;
$df.postURL( "detail", target);
}

//Reload the lookup list selected from list
function reloadLookupList()
{
    if (isLookupListFromForeignBusinessUnit(lookupListId, lookupListName, "reloaded"))
      return;

    setBusyDetail();
    target = lookupListAction + '?method=reloadLookupList' +
             '&lookupListId=' + lookupListId +
     		'&__sfmrt=' + getCookie("__sfmrt");
    $df.postURL( "detail", target);
}

function getExpireDays() {
    var checkBox = document.getElementById('analystExpireListItems');
    var isChecked = checkBox.checked;
    if (isChecked)
    {
        var analystExpireDays = document.getElementById('analystExpireDays');
        var value = analystExpireDays.value;


        if (isNaN(value) || parseInt(value) <=0)
        {
       	 alert($i18n("rules.lookupLists.bad.analystExpireDays.txt"));
            return -1;
        }
        if (value.trim().length == 0) {
        	return '&analystExpireDays=0';
        }

        return '&analystExpireDays=' + parseInt(value);
    }
    return '&analystExpireDays=0';

}
//Persist the new lookup list displayed
function saveLookupListDefinition(contentOrList, listType)
{
  var name = document.getElementById("name").value.replace(/^\s*|\s*$/g,""); // Trim whitespace
  var desc = document.getElementById("desc").value.replace(/^\s*|\s*$/g,"");

  var target = lookupListAction + '?method=createLookupList' +
              '&contentOrList=' + contentOrList +
              '&name='          + encodeURIComponent(name) +
              '&desc='          + encodeURIComponent(desc) +
              '&listType='      + encodeURIComponent(listType);

  if (listType == "RULEONLY")
  {
	 var tag = document.getElementById("inds");
	 var inds = tag.options[tag.selectedIndex].value;

     var columnTags = document.getElementById("columnTags").getElementsByTagName("INPUT");
     var columnAry = new Array();
     var gotKey = false;
     for (var ct=0; ct<columnTags.length; ct++) {
        var columnTag = columnTags[ct];
        if (columnTag.checked) {
            columnAry.push(columnTag.id.substr(3));
            gotKey = true;
        }
        else
            columnAry.push(columnTag.id.substr(3) + "@");
     }
     if (columnAry.length==0) {
        alert($i18n("rules.lookupListActios.js.missingColumns.alert.txt"));
        return;
     }
     var columns = columnAry.join(" ");
     if (!gotKey) {
        alert($i18n("rules.lookupListActios.js.missingKeyColumns.alert.txt"));
        return;
     }

     target = target +
              '&inds='    + encodeURIComponent(inds) +
              '&columns=' + encodeURIComponent(columns);
  }
  else
  {
     var analystKeyColumnIndex  = $('#analystKeyColumn').val();
     if (analystKeyColumnIndex == "")
     {
    	 alert($i18n('rules.lookupLists.js.selectOneAnalystKey.txt'));
    	 return;
     }
     var analystKeyColumn = additionalKeyList[analystKeyColumnIndex].id;
/**  For now disabling tag along fields S1304738 (lookupListCreateContent.jsp is also affected)
     var listBox = document.getElementById('assignAdditionalKeysListbox');
     var additionalKeys = new Array();
     var options = listBox.options;
     var nOptions = options.length;
     for (var i=0; i<nOptions; i++)
     {
    	index = options[i].value;
        additionalKeys[i] = additionalKeyList[index].id;
     }
     var keys = additionalKeys.join(",");
*/
     var keys = "";
     var expDays = getExpireDays();
     if (expDays == -1) {
    	 return;
     }
     target = target +
              '&analystKeyColumn='  + encodeURIComponent(analystKeyColumn)  +
              '&additionalKeys='    + encodeURIComponent(keys);
     target = target + expDays;
  }
  target = target + '&__sfmrt=' + getCookie("__sfmrt");

  setBusyDetail();
  //parent.frames[ "detail" ].location.href = target;
  $df.postURL( "detail", target);
}

// If this lookup list is from a non-matching business unit, we may not view, edit, or otherwise access it
function isLookupListFromForeignBusinessUnit(id, name, operation) {
    if (parent._lookupListIdsFromForeignBusinessUnits[id] == true) {
        alert($i18n("rules.lookupListActios.js.invalidOperation." + operation + ".alert.fmt.txt", [name]));
        return true;
    }
    return false;
}
