<%-- this file uses leading tabs; don't insert leading spaces --%>
<%@ page contentType="text/html; charset=UTF-8" %>
<%@ include file="/common/taglibs.jsp" %>

<script language="JavaScript" src="admin/scripts/users.js"></script>


<!-- Tree header. -->
<%-- <div id="navhead" class="mmhide_navhd"><fmt:message key="fcm.users.overview.usersroles.txt" /></div> --%>
<div class="sapUiTreeHeader" id="userHeader" role="heading">
	<div class="sapUiTreeTitle"><fmt:message key="fcm.users.overview.usersroles.txt" /></div>
</div>

<!-- Nested tables with fixed height -->
<table id="overview_table" cellspacing="0" cellpadding="2" border="0" >
   <tr>
      <td  align="left" valign="top" nowrap>

<script language="JavaScript">
//<!--
  var _canModifyUsers = false;
  var _canModifyRoles = false;
  <c:if test="${empty updateUsers || updateUsers}">
  _canModifyUsers = true;
  </c:if>
  <c:if test="${empty updateRoles || updateRoles}">
  _canModifyRoles = true;
  </c:if>
  top.sas.fscf.getCurrentOverviewToolbar().setContentFor('any', _canModifyUsers, _canModifyRoles);

  var MARKS = ["ROLE", "USER"];

  //var start = (new Date()).getTime();
  var _selectedObject = "";
  var _openRoot="0";
  // Role Nodes
  var _roleNodes =  new Array();
  var _roleRoot = "98";
  <c:if test="${not empty roles}">
     _roleNodes[0]= new Node(_roleRoot, 0, "folder", "<fmt:message key='fcm.users.overview.roles.txt' />","<fmt:message key='fcm.users.overview.roles.txt' />", null, "", "", "");
    <c:forEach var="role" items="${roles}" varStatus="rStatus">
        var node = new Node(${rStatus.count+100},_roleRoot,"UserRole","${esapi:encodeForJavaScript(esapi:encodeForHTML(role.name))}",
                             "<fmt:message key='fcm.users.overview.role.txt' />",new Array("a_userAdmin.sj?method=#methodName#Role","roleId=${role.id}","version=${role.version}","roleName=${esapi:encodeForJavaScript(esapi:encodeForHTML(role.name))}"), "", "", "", MARKS[0]);

        _roleNodes.push(node);
        <c:if test="${not empty treeSelectedRole and treeSelectedRole==role.id }">
           _selectedObject = "${rStatus.count+100}";
           _openRoot=_roleRoot;
        </c:if>
    </c:forEach>
  </c:if>


   // User Nodes
  var _userNodes =  new Array();
  var _userRoot = "99";
  <c:set var="cuid" value=""/>
  <c:if test="${copiedUserId!=null}">
    <c:set var="cuid" value="\"copiedUserId=${copiedUserId}\","/>
  </c:if>
  <c:if test="${not empty users}">
   _userNodes[0]= new Node(_userRoot, 0, "folder", "<fmt:message key='fcm.users.overview.allusers.txt' />","<fmt:message key='fcm.users.overview.users.txt' />",null, "", "", "");
    <c:forEach var="user" items="${users}" varStatus="uStatus">
       var node = new Node(${uStatus.count+200},_userRoot,"User","${esapi:encodeForJavaScript(esapi:encodeForHTML(user.lastName))}, ${esapi:encodeForJavaScript(esapi:encodeForHTML(user.firstName))}(${esapi:encodeForJavaScript(esapi:encodeForHTML(user.username))})","<fmt:message key='fcm.users.overview.user.txt' />",new Array("a_userAdmin.sj?method=#methodName#User",${cuid} "userId=${user.id}","version=${user.version}","username=${esapi:encodeForJavaScript(esapi:encodeForHTML(user.username))}"), "", "", "", MARKS[1]);

        _userNodes.push(node);
        <c:if test="${not empty treeSelectedUser and treeSelectedUser==user.id }">
           _selectedObject = "${uStatus.count+200}";
           _openRoot=_userRoot;
        </c:if>
    </c:forEach>
  </c:if>

  var _isSomethingSelected = false;
  if (_selectedObject == "")
  {
     _selectedObject= getCookieForTab("201");
  }
  else
  {
     _isSomethingSelected = true;
  }

   var _allNodes = _roleNodes.concat(_userNodes);
   if (_openRoot=="0" && _selectedObject>200)
   {
      _openRoot=_userRoot;
   }
   else if (_openRoot=="0" && _selectedObject<200)
   {
      _openRoot=_roleRoot;
   }
   // function Tree( name, data, start, open, selected, eventHandler,
   //                extend, location, enabled, treeImages, nodeImages )

   var userTree = new Tree("userTree", _allNodes, 0, _openRoot, _selectedObject,
                                 'showDetail(\'detail\',\'modify\')', false, false, true,
                                 "common/images/tree/", "common/images/" );

   // Generic method defined to show selected node
   Tree.showSelectedAdminNode = function(){ userTree.showNode();};




//-->


</script>
 </td>
   </tr>
</table>

<%-- Error handling code --%>
<tiles:insert page="/admin/adminOverviewErrorHandling.jsp" flush="true">
	<tiles:put name="treeObj" value="userTree" />
	<tiles:put name="showCommand" value="showDetail" />
	<tiles:put name="showCommandArgs" value="detail modify" />
	<tiles:put name="window" value="window"/>
</tiles:insert>

