<%@ page contentType="text/html; charset=UTF-8" %>
<%@ include file="/common/taglibs.jsp" %>

<%-- Push component attributes in page context --%>
<tiles:importAttribute/>

<style type="text/css">
TABLE.zeroPaddingTable TD
{
	padding-left:0px;
	padding-top:0px;
	padding-bottom:0px;
	padding-right:0px;
	vertical-align: middle;
}
</style>

<!-- Begin Search Tabs -->
<table class="minWidthTable" id="searchView" border="0" cellspacing="0" cellpadding="0" style="margin-top:12px">
	<thead>
		<tr><th colspan="6" scope="col" style="margin:0px;padding:0px;border:0px" nowrap>
			<div class="tabs">
				<ul>
					<li id="searchByEntityTab"><a href="javascript:;" onmousedown="swapGridContents('searchByEntity',1);"><span><fmt:message key="fcm.inboundSearch.entitySearchTitle.txt" /></span></a></li>
					<%--<li id="searchByAccountTab"><a href="javascript:;" onmousedown="swapGridContents('searchByAccount',1);"><span><fmt:message key="fcm.inboundSearch.accountSearchTitle.txt" /></span></a></li>--%>
					<li id="searchByDemographicInfoTab"><a href="javascript:;" onmousedown="swapGridContents('searchByDemographicInfo',1);"><span><fmt:message key="fcm.inboundSearch.demographicSearchTitle.txt" /></span></a></li>
					<li id="searchByAlertTab"><a href="javascript:;" onmousedown="swapGridContents('searchByAlert',1);"><span><fmt:message key="fcm.inboundSearch.alertSearchTitle.txt" /></span></a></li>
				</ul>
			</div>
		</TH></tr>
	</thead>
	<tbody style="border:1px #7F9DB9;">
		<tr>
			<td>
				<form name="searchForm" id="searchForm"
					action="<c:url value='/a_entitySearch.sj'/>" method="post">
					<input type="hidden" name="searchType" value="">
					<input type="hidden" name="method" value="search">
				<c:forEach var="searchType" items="${searchTypes}">
					<input type="hidden" name="firstNMinimum_${searchType.type}" value="${esapi:encodeForHTMLAttribute(searchType.localSearchMinLength)}">
				</c:forEach>
					<%-- Begin Entity Search Tab --%>
					<div id="searchByEntityGrid" style="display:none;background-color:#e0e2e5">
						<table cellspacing="0" cellpadding="0" style="border-top:none;" width="100%">
							<c:if test="${empty searchResultsList && searchType == 'searchByEntity' }">
							<tr>
								<td colspan="2" class="message" valign="bottom" height="30%" align="center"><fmt:message key="fcm.inboundSearch.noresults.txt" /><BR>&nbsp; </td>
							</tr>
							</c:if>
							<tr><td style="padding:0px">
								<table>
									<tr>
										<td style="padding:7px;" nowrap>
											<label id="returnTypeLabel"><fmt:message key="fcm.inboundSearch.returnType2.txt"/></label>
										</td>
										<td style="padding:7px 0px 0px 14px;">
											<c:forEach var="searchType" items="${searchTypes}" varStatus="status">
												<!--<c:if test="${status.index eq 8}"><br/></c:if>-->
												<c:set var="entityTypes" value="${searchType.type} ${searchType.parentType}"/>
												<c:if test="${searchType.type ne searchType.contactType}">
													<c:set var="entityTypes" value="${entityTypes} ${searchType.contactType}"/>
												</c:if>
												<label><input type="radio" name="returnTypeEntity" value="${searchType.type}" entityTypes="${entityTypes}"><fmt:message key="${searchType.type}" bundle="${alertTypeLabelResourceBundle}"/></label>
											</c:forEach>
											<input type="radio" style="visibility: hidden" >

											<c:set var="maxLabelLength" value="0"/>
											<div id="entitySearchByOptions" style='display:none'>
												<c:forEach var="searchType" items="${searchTypes}">
													<c:set var="entityTypes" value="${searchType.type} ${searchType.parentType}"/>
													<c:if test="${searchType.type ne searchType.contactType}">
														<c:set var="entityTypes" value="${entityTypes} ${searchType.contactType}"/>
													</c:if>
													<c:set var="label"><fmt:message key='${searchType.type}' bundle='${alertTypeLabelResourceBundle}'/></c:set>
													<option value="${searchType.type}" entityTypes="${entityTypes}" label="${label}"></option>
													<c:if test="${fn:length(label) gt maxLabelLength}">
														<c:set var="maxLabelLength" value="${fn:length(label)}"/>
													</c:if>
												</c:forEach>
											</div>
										</td>
									</tr>
								</table>

							</td></tr>
						</table>

						<table cellspacing="0" cellpadding="0" style="border-top:none">
							<tr>
								<td style="padding:7px;">
									<fmt:message key="fcm.inboundSearch.searchBy.txt"/>
								</td>
								<td style="padding:7px;">
									<select name="entityType" class="famSelect" style="width:${maxLabelLength+1}em;">
									</select>
									<span id="searchBySection">
										<input type="text" name="entityNum" class="famTextEntry" size="37" maxlength="100" value="${esapi:encodeForHTMLAttribute(searchParams.entityNum)}" onKeyUp="checkKey('searchByEntity');" />
									</span>
								</td>
								<td style="padding:7px;">
								  <button class="sapMBarChild sapMBtn sapMBtnBase sasMButton" type="button" onclick="javascript:searchByEntity()">
									<span class="sapMBtnDefault sapMBtnHoverable sapMBtnInner sapMBtnText sapMFocusable sapMIE">
							    		<span class="sapMBtnContent"><fmt:message key="fcm.inboundSearch.goButton.txt" /></span>
							    		<span class="sapMBtnFocusDiv"></span>
							  		</span>
								  </button>
								</td>
							</tr>
						</table>

					</div>
					<%-- End Entity Search Tab --%>
					<%--
					<!-- Begin Account Search Tab -->
					<div id="searchByAccountGrid" style="display:none;background-color:#e0e2e5">
						<table class="mainTable" cellspacing="0" cellpadding="0" style="border-top:none" width="100%">
							<c:if test="${empty searchResultsList && searchType == 'searchByAccount' }">
							<tr>
								<td class="message" valign="bottom" height="30%"><fmt:message key="fcm.inboundSearch.noresults.txt" /><BR>&nbsp; </td>
							</tr>
							</c:if>
							<tr>
								<td style="padding:0px">
									<table>
										<tr>
											<td style="padding:7px 0px 0px 14px;" nowrap>
												<label><fmt:message key="fcm.inboundSearch.returnType2.txt"/></label>
											</td>
											<td style="padding:7px 0px 0px 10px;">
											<c:forEach var="searchType" items="${searchTypes}">
												<c:if test="${searchType.type == 'A' or searchType.parentEntityDependent}">
													<label><input type="radio" name="returnTypeAcct" value="${searchType.type}"><fmt:message key="${searchType.type}" bundle="${alertTypeLabelResourceBundle}"/></label>
												</c:if>
											</c:forEach>
											</td>
										</tr>
										<tr>
											<td style="padding:7px 0px 15px 14px;">
												<fmt:message key="fcm.inboundSearch.accountNumber.txt" />
											</td>
											<td style="padding:7px 0px 15px 10px;">
												<input type="text" id="accountNum" name="accountNum" class="famTextEntry" size="37" maxlength="34" value="${esapi:encodeForHTMLAttribute(searchParams.parentEntityID)}" onKeyUp="checkKey('searchByAccount');" />
												<span style="padding-left:15px"></span>
												  <button class="sapMBarChild sapMBtn sapMBtnBase sasMButton" type="button" onclick="javascript:searchByAccount()">
													<span class="sapMBtnDefault sapMBtnHoverable sapMBtnInner sapMBtnText sapMFocusable sapMIE">
											    		<span class="sapMBtnContent"><fmt:message key="fcm.inboundSearch.goButton.txt" /></span>
											    		<span class="sapMBtnFocusDiv"></span>
											  		</span>
												  </button>
											</td>
										</tr>
									</table>
								</td>
							</tr>

						</table>
					</div>
					<!-- End Account Search Tab -->
					 --%>
					<%-- Begin Demo Search Tab --%>
					<div id="searchByDemographicInfoGrid" style="display:none;background-color:#e0e2e5;">
						<table class="mainTable" cellpadding="0" cellspacing="0" border="0" width="100%" style="border-top:none;">
							<c:if test="${empty searchResultsList && searchType == 'searchByDemographicInfo' }">
							<tr style="padding-left:14px;">
								<td colspan="2" class="message" valign="bottom" height="20%"><fmt:message key="fcm.inboundSearch.noresults.txt" /><BR>&nbsp; </td>
							</tr>
							</c:if>
							<tr>
								<td colspan="2" style="padding-left:14px;padding-top:7px;">
									<table cellpadding="0" cellspacing="0" border="0">
										<tr>
											<td style="padding:7px;" nowrap>
												<label><fmt:message key="fcm.inboundSearch.returnType2.txt"/></label>
											</td>
											<td style="padding:7px; 0px; 7px; 15px;">
												<c:forEach var="searchType" items="${searchTypes}">
													<label><input type="radio" name="returnTypeDemo" value="${searchType.type}"><fmt:message key="${searchType.type}" bundle="${alertTypeLabelResourceBundle}"/></label>
												</c:forEach>
											</td>
										</tr>
									</table>
								</td>
							</tr>
							<tr>
								<td style="text-align:left; width:60%;">
									<fieldset style="margin:3px 14px 0px 14px;padding-bottom:6px;">
										<legend>
											<input type="radio" id="personalIdSearchType" name="searchTypeRadioDemo" value="personalId" ${esapi:encodeForHTMLAttribute(personalIdChecked)} onclick="toggleSearchFields('personalId')"><label for="personalIdSearchType"><fmt:message key="fcm.inboundSearch.verificationId.txt"/></label>
										</legend>
										<table border="0" cellspacing="0" cellpadding="0" >
										<tr>
											<td align="left" nowrap><input type="text" id="personalId" name="personalId" class="famTextEntry" value="${esapi:encodeForHTMLAttribute(searchParams.personalId)}" maxlength="34" size="52" style="margin-left:12px;" onKeyUp="checkKey('searchByDemographicInfo');" />
											</td>
										</tr>
										</table>
									</fieldset>
								</td>
								<td>
								  <button class="sapMBarChild sapMBtn sapMBtnBase sasMButton" type="button" onclick="javascript:searchByDemographicInfo()">
									<span class="sapMBtnDefault sapMBtnHoverable sapMBtnInner sapMBtnText sapMFocusable sapMIE">
							    		<span class="sapMBtnContent"><fmt:message key="fcm.inboundSearch.goButton.txt" /></span>
							    		<span class="sapMBtnFocusDiv"></span>
							  		</span>
								  </button>
								</td>

							</tr>
							<tr>
								<td style="text-align:left;width:60%;padding-bottom:14px;">
									<fieldset style="margin:0px 14px 0px 14px;">
										<legend>
											<input type="radio" id="moreSearchType" name="searchTypeRadioDemo" value="lastName" ${esapi:encodeForHTMLAttribute(lastNameChecked)} onclick="toggleSearchFields('lastName')"><label for="moreSearchType"><fmt:message key="fcm.inboundSearch.more.txt"/></label>
										</legend>
										<table style="margin-bottom:6px;margin-left:8px;">
											<tr>
												<td colspan="6" align="left" style="padding-top:5px;padding-bottom:4px;padding-left:6px;"><i><fmt:message key="fcm.inboundSearch.enter.txt"/></i></td>
											</tr>
											<tr>
												<td colspan="3" style="padding-top:10px; padding-left:6px;">
													<span style="height:20px;width:180px;text-align:left;">
														<span id="lastNameLabel" style="width:80px;text-align:left;">
															<fmt:message key="fcm.inboundSearch.name.txt"/>
														</span>
														<select id="lastNameMatchType" name="lastNameMatchType" size="1"   >
															<option value="equals"><fmt:message key="fcm.inboundSearch.equals.txt"/></option>
															<option value="startsWith" selected><fmt:message key="fcm.inboundSearch.startsWith.txt"/></option>
															<option value="endsWith"><fmt:message key="fcm.inboundSearch.endsWith.txt"/></option>
															<option value="contains"><fmt:message key="fcm.inboundSearch.contains.txt"/></option>
														</select>
													</span>
													
													<br />
													<input type="text" name="lastName" id="lastName" class="famTextEntry" size="52" maxlength="40" value="${esapi:encodeForHTMLAttribute(searchParams.lastName)}"  onKeyUp="checkKey('searchByDemographicInfo');" />
												</td>
												<td colspan="3" style="padding-left:40px;padding-top:10px;" nowrap>
													<span style="height:20px;width:180px;text-align:left;">
														<span id="stateLabel" style="width:80px;text-align:left;">
															<fmt:message key="fcm.inboundSearch.state.txt"/>
														</span>
														<select id="stateMatchType" name="stateMatchType" style="visibility:hidden;" size="1"   >
															<option value="equals"><fmt:message key="fcm.inboundSearch.equals.txt"/></option>
															<option value="startsWith" selected><fmt:message key="fcm.inboundSearch.startsWith.txt"/></option>
															<option value="endsWith"><fmt:message key="fcm.inboundSearch.endsWith.txt"/></option>
															<option value="contains"><fmt:message key="fcm.inboundSearch.contains.txt"/></option>
														</select>
													</span>
													<br />
													<input type="text" name="state" id="state" class="famTextEntry" size="17" maxlength="3" value="${esapi:encodeForHTMLAttribute(searchParams.state)}"   onKeyUp="checkKey('searchByDemographicInfo');" />
												</td>
											</tr>
											<tr>
												<td colspan="3" style="padding-top:10px;padding-left:6px;">
													<span style="height:20px;width:180px;text-align:left;">
														<span id="addressLabel" style="width:80px;text-align:left;">
															<fmt:message key="fcm.inboundSearch.address.txt"/>
														</span>
														<select id="addressMatchType" name="addressMatchType" size="1"   >
															<option value="equals"><fmt:message key="fcm.inboundSearch.equals.txt"/></option>
															<option value="startsWith" selected><fmt:message key="fcm.inboundSearch.startsWith.txt"/></option>
															<option value="endsWith"><fmt:message key="fcm.inboundSearch.endsWith.txt"/></option>
															<option value="contains"><fmt:message key="fcm.inboundSearch.contains.txt"/></option>
														</select>
													</span>
													<br />
													<input type="text" name="address" id="address" class="famTextEntry" size="52" maxlength="40" value="${esapi:encodeForHTMLAttribute(searchParams.address)}"  onKeyUp="checkKey('searchByDemographicInfo');" />
												</td>
												<td colspan="3" style="padding-left:40px;padding-top:10px;">
													<span style="height:20px;width:180px;text-align:left;">
														<span id="postalCodeLabel" style="width:80px;text-align:left;">
														<fmt:message key="fcm.inboundSearch.zip.txt"/>
														</span>
														<select id="postalMatchType" name="postalMatchType" style="visibility:hidden;" size="1"   >
															<option value="equals"><fmt:message key="fcm.inboundSearch.equals.txt"/></option>
															<option value="startsWith" selected><fmt:message key="fcm.inboundSearch.startsWith.txt"/></option>
															<option value="endsWith"><fmt:message key="fcm.inboundSearch.endsWith.txt"/></option>
															<option value="contains"><fmt:message key="fcm.inboundSearch.contains.txt"/></option>
														</select>
													</span>
													<br />
													<input type="text" name="postalCode" id="postalCode" class="famTextEntry" size="17" maxlength="10" value="${esapi:encodeForHTMLAttribute(searchParams.postalCode)}"   onKeyUp="checkKey('searchByDemographicInfo');" />
												</td>
											</tr>
											<tr>
												<td colspan="3" style="padding-top:10px;padding-left:6px;"><span id="cityLabel"><fmt:message key="fcm.inboundSearch.city.txt"/></span>&nbsp;&nbsp;&nbsp;
													<br />
													<input type="text" name="city" id="city" class="famTextEntry" size="52"  maxlength="30" value="${esapi:encodeForHTMLAttribute(searchParams.city)}"   onKeyUp="checkKey('searchByDemographicInfo');" />
												</td>
												<td colspan="3" style="padding-left:40px;padding-top:10px;"><span id="phoneLabel"><fmt:message key="fcm.inboundSearch.phone.txt"/></span>&nbsp;&nbsp;&nbsp;
													<br />
													<input type="text" name="phone" id="phone" class="famTextEntry" size="17" maxlength="15" value="${esapi:encodeForHTMLAttribute(searchParams.phone)}"   onKeyUp="checkKey('searchByDemographicInfo');" />
												</td>
											</tr>
											<tr>
												<td colspan="3" style="padding-top:10px;padding-left:6px;"><span id="emailLabel"><fmt:message key="fcm.inboundSearch.email.txt"/></span>&nbsp;&nbsp;&nbsp;
													<br />
													<input type="text" name="email" id="email" class="famTextEntry" size="52"  maxlength="50" value="${esapi:encodeForHTMLAttribute(searchParams.email)}"   onKeyUp="checkKey('searchByDemographicInfo');" />
												</td>
												<td colspan="3" style="padding-top:10px;">&nbsp;</td>
											</tr>
										</table>
									</fieldset>
								</td>
								<td>&nbsp;</td>
							</tr>
						</table>

					</div>
					<%-- End Demo Search Tab --%>
					<%-- Begin Alert Search Tab --%>
					<div id="searchByAlertGrid" style="display:none;background-color:#e0e2e5">
						<table class="mainTable" cellspacing="0" cellpadding="0" style="border-top:none" width="100%">
							<c:if test="${empty searchResultsList && searchType == 'searchByAlert'}">
							<tr>
								<td class="message" valign="bottom" height="30%"><fmt:message key="fcm.inboundSearch.noresults.txt" /><BR>&nbsp; </td>
							</tr>
							</c:if>
							<tr>
								<td style="padding:27px 0px 0px 0px">
									<table>
										<tr>
											<td style="padding:7px; vertical-align: middle;">
												<fmt:message key="fcm.inboundSearch.alertId.txt" />:
											</td>
											<td style="padding:7px; vertical-align: middle;">
												<input type="text" name="alertId" id="alertId" class="famTextEntry" size="37" maxlength="19" value="${esapi:encodeForHTMLAttribute(searchParams.alertId)}" onKeyUp="checkKey('searchByAlert');" />
											</td>
											<td style="padding:7px; vertical-align: middle;">
											  <button class="sapMBarChild sapMBtn sapMBtnBase sasMButton" type="button" onclick="javascript:searchByAlert()">
												<span class="sapMBtnDefault sapMBtnHoverable sapMBtnInner sapMBtnText sapMFocusable sapMIE">
										    		<span class="sapMBtnContent"><fmt:message key="fcm.inboundSearch.goButton.txt" /></span>
										    		<span class="sapMBtnFocusDiv"></span>
										  		</span>
											  </button>
											</td>
										</tr>
									</table>
								</td>
							</tr>
						 </table>
					</div>
				</form>
			</td>
		</tr>
		<c:if test="${not empty searchResultsList}">
		<tr>
			<td style="padding:0px">
				<tiles:insert page="searchResults.jsp" flush="true" />
			</td>
		</tr>
		</c:if>

	</tbody>
</table>

<%-- End Search Tabs --%>